- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_int32()

## Synopsis

    #define BSON_ITER_HOLDS_INT32(iter) (bson_iter_type ((iter)) == BSON_TYPE_INT32)

    int32_t
    bson_iter_int32 (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the value from a BSON_TYPE_INT32 element. You should verify that the field is a BSON_TYPE_INT32 field before calling this function.

## Returns

A 32-bit integer.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.